Package org.apache.tomcat.websocket

# Class PojoClassHolder

java.lang.Object
org.apache.tomcat.websocket.PojoClassHolder

All Implemented Interfaces:
  `ClientEndpointHolder`

public class PojoClassHolder extends Object implements ClientEndpointHolder

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PojoClassHolder(Class<?> pojoClazz, ClientEndpointConfig clientEndpointConfig)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  `Endpoint`
  `getInstance(InstanceManager instanceManager)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PojoClassHolder

    public PojoClassHolder(Class<?> pojoClazz, ClientEndpointConfig clientEndpointConfig)

- ## Method Details

  - ### getClassName

    public String getClassName()
    Specified by:
      `getClassName` in interface `ClientEndpointHolder`

  - ### getInstance

    public Endpoint getInstance(InstanceManager instanceManager) throws DeploymentException
    Specified by:
      `getInstance` in interface `ClientEndpointHolder`
    Throws:
      `DeploymentException`